Skip to content

Submit a transaction for tracking

POST
/tx/{chainId}/{txHash}

Hand a broadcast transaction hash to the backend so it is processed end-to-end (collection/sale/bid/mint effects) and its finalization milestones become available. Returns the current status snapshot; subscribe to the /ws variant to await finalization.

chainId
required
integer
> 0 <= 9007199254740991
txHash
required
string
/^0x[0-9a-fA-F]{64}$/

Transaction accepted for processing

object
chainId
required
integer
<= 9007199254740991
txHash
required
string
initialized
required
boolean
finalized
required
boolean
overall
required
string
Allowed values: Pending Finalizing Ready Failed
milestones
required
Array<object>
object
key
required
string
Allowed values: collection:live sale:live sale:updated bid:recorded dutch:synced auction:synced edition:updated tokens:ready
status
required
string
Allowed values: Pending Done Failed
units
Array<object>
object
id
required
string
ref
string
status
required
string
Allowed values: Pending Done Failed

Unauthorized